Bug 59788 - Can't print out for CJK.
Can't print out for CJK.
Product: Red Hat Linux
Classification: Retired
Component: gedit (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Depends On:
  Show dependency treegraph
Reported: 2002-02-13 06:44 EST by Akira TAGOH
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-01 17:47:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
I made a patch. is this useful? (14.48 KB, patch)
2002-02-13 06:47 EST, Akira TAGOH
no flags Details | Diff

  None (edit)
Description Akira TAGOH 2002-02-13 06:44:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20020129

Description of problem:
gedit is hardcoded a font for the printing. so that the characters which can't
handle with Helvetica and Courier isn't printed out.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.LANG=ja_JP.eucJP gedit
2.input something Japanese.
3.preview or print out

Actual Results:  characters is nothing. ASCII only is printed out.

Expected Results:  those characters should be printed out correctly.

Additional info:
Comment 1 Akira TAGOH 2002-02-13 06:47:00 EST
Created attachment 45502 [details]
I made a patch. is this useful?
Comment 2 Havoc Pennington 2002-02-13 11:12:17 EST
Can we submit this to the upstream gedit maintainers?
Comment 3 Akira TAGOH 2002-02-14 02:09:25 EST
I re-create a patch for CVS, I already filed to bugzilla.
see also http://bugzilla.gnome.org/show_bug.cgi?id=71364
Comment 4 Havoc Pennington 2002-03-01 17:47:32 EST
Feel free to rebuild the gedit rpm with this patch if you want. I'll do it 
soon if you don't have time.
Comment 5 Akira TAGOH 2002-03-04 04:45:29 EST
Ok, I have build it with my patch. this problem is fixed in 0.9.4-9. Thanks.

Note You need to log in before you can comment on or make changes to this bug.